Skip to content

getCustomerLocations

READ

Get customer locations.

POST /api/v1/sales/getCustomerLocations
curl -X POST '<your-host>/api/v1/sales/getCustomerLocations' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string"
  }'
Response
{
  "results": [
    {
      "addressId": "string",
      "companyId": "string",
      "createdAt": "string",
      "customerId": "string",
      "customFields": "…",
      "deliveryZone": "string",
      "id": "string",
      "name": "string",
      "readableId": "string",
      "roadNodeKey": "string",
      "serviceZone": "string",
      "tags": [
        "string"
      ],
      "updatedAt": "string",
      "address": {
        "id": "string",
        "addressLine1": "string",
        "addressLine2": "string",
        "city": "string",
        "stateProvince": "string",
        "country": {
          "alpha2": "string",
          "name": "string"
        },
        "postalCode": "string"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string"
    }
  },
  "required": [
    "customerId"
  ]
}